

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements;

public interface ICanvas
{
    void DrawRectangle(Vector2 start, Vector2 size, bool isGood);
    void DrawLine(Vector2 start, Vector2 end, LineType type);
    void DrawPoly(Vector2[] points, bool isGood);
    void DrawCross(Vector2 location);
    void DrawNode(Vector2 location);
    void DrawArrow(Vector2 location, Vector2 direction);
}